<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : kontakty1.xsl.xsl
    Created on : 20. březen 2012, 12:06
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xslt:stylesheet xmlns:xslt="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" version="1.0">
    <xslt:output method="xml" 
      doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
      doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
    encoding="utf-8"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xslt:template match="kontakty">
        <html>
            <head>
                <title>Seznam kontaktů</title>
            </head>
            <body>
                <h1>Seznam</h1>
                <xslt:apply-templates mode="seznam"/>
                <hr/>
                <h1><xslt:apply-templates select="kontakt[1]/jméno"/></h1>
                <xslt:apply-templates />
            </body>
        </html>
    </xslt:template>
    <xslt:template match="kontakt" mode="seznam">
        <xslt:element name="a">
         <xslt:attribute name="href">#<xslt:value-of select="spojení/email"/></xslt:attribute> 
         <xslt:value-of select="jméno"/>
        </xslt:element>
        <xslt:text> </xslt:text>
    </xslt:template>
    <xslt:template match="kontakt">
        <xslt:element name="a">
            <xslt:attribute name="name">
              <xslt:value-of select="spojení/email"/>    
            </xslt:attribute>
        </xslt:element>
            <h3><xslt:value-of select="jméno"/></h3>
            Něco málo textu, aby bylo vidět, že fungují odkazy. Snad už to bude stači. Jestli ne, tak se zvětší písmo.<br/><br/><p/><p/>
    </xslt:template>
</xslt:stylesheet>
